API·REFERENCE·TASKS·GET·GENERATED
Get a task
GET
/tasks/{id}
SCOPE:tasks:read
Get a task
Authentication
Requires API key with tasks:read scope.
Path parameters
| Name | Type | Description |
|---|---|---|
id | UUID | Path parameter. |
Request
(no body)
Response — 200 OK
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "example",
"status": "backlog",
"priority": "low",
"project_id": "00000000-0000-0000-0000-000000000000",
"assignee_user_id": "00000000-0000-0000-0000-000000000000",
"assignee_bot_id": "00000000-0000-0000-0000-000000000000",
"due_at": "2026-01-01T00:00:00.000Z",
"event_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z",
"body_md": "example",
"start_at": "2026-01-01T00:00:00.000Z",
"output_md": "example",
"decision": "approved",
"decision_reason": "example",
"tags": [
"example"
],
"created_at": "2026-01-01T00:00:00.000Z",
"completed_at": "2026-01-01T00:00:00.000Z"
}
Errors
| Status | Code | When |
|---|---|---|
| 401 | unauthorized | Missing or invalid API key. |
| 403 | forbidden | API key lacks required scope. |
| 404 | not_found | Resource not found. |
| 429 | rate_limited | Token bucket exhausted. |
Code samples
curl https://api.onnie.ai/api/public/v1/tasks/00000000-0000-0000-0000-000000000000 \
-H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2'const response = await fetch('/tasks/00000000-0000-0000-0000-000000000000', {
method: 'GET',
headers: {
'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
},
})
const data = await response.json(){
"server": "onnie",
"name": "getTask",
"description": "GET /tasks/{id}"
}